Name:           ldapvi
Version:        1.7
Release:        14%{?dist}
Summary:        An interactive LDAP client

Group:          Applications/Editors
License:        GPLv2+
URL:            http://www.lichteblau.com/ldapvi/
Source0:        http://www.lichteblau.com/download/ldapvi-%{version}.tar.gz
Patch0:         GNUmakefile.in.patch
Patch1:         %{name}-1.7-getline.patch
# discussed upstream
# http://lists.askja.de/pipermail/ldapvi/2011-January/000089.html
# but never applied
Patch2:         dont-set-encoding-in-vim-modeline.diff
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  openldap-devel, ncurses-devel, readline-devel, pkgconfig
BuildRequires:  libxslt, glib2-devel, openssl-devel
%if 0%{?rhel}
BuildRequires: popt
%else
BuildRequires: popt-devel
%endif

%description
ldapvi is an interactive LDAP client for Unix terminals. Using it, you can
update LDAP entries with a text editor, which is the same as vi. Think of 
it as vipw(1) for LDAP.

%prep
%setup -q
%patch0 -p0 -b .gnumk
%patch1 -p2 -b .getline
%patch2 -p2 -b .encoding

%build
%configure
make %{?_smp_mflags}
cd manual
make manual.html


%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc NEWS COPYING manual/bg.png 
%doc manual/manual.html manual/manual.css
%{_mandir}/man1/ldapvi.1.gz
%{_bindir}/ldapvi


%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu May 12 2011 Matěj Cepl <mcepl@redhat.com> - 1.7-12
- don't play with the file encoding (#691958)

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 07 2009 Matěj Cepl <mcepl@redhat.com> - 1.7-10
- Improving .spec file to work both on Fedora and RHEL

* Fri Sep 18 2009 Matěj Cepl <mcepl@redhat.com> - 1.7-9
- Fixed build to cure FTBFS (#511746)
  Thanks for sharkcz for making the patch

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 17 2009 Tomas Mraz <tmraz@redhat.com> - 1.7-7
- rebuild with new openssl

* Tue Aug  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.7-6
- fix license tag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.7-5
- Autorebuild for GCC 4.3

* Wed Dec 05 2007 Release Engineering <rel-eng at fedoraproject dot org> - 1.7-4
 - Rebuild for deps

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 1.7-3
- Build Require popt-devel instead of popt.

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 1.7-2
- Rebuild for selinux ppc32 issue.

* Thu Jul 05 2007 Gavin Henry <ghenry@suretecsystems.com> - 1.7-1
- Initial version
